
Redmine - Defect #5163

Rejection of one recipient by the SMTP server causes whole notification to be dropped

2010-03-24 09:01 - Robert Schneider

Status: Closed Start date: 2010-03-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.9.1

Description

This ticket may replace ticket #5146.

I have tickets that do not seem to send mails. I've got a suspicion what the problem could be.

If a user has an mail address that does not work (the user was created by an administrator) is it possible that a ticket that involves

this user does not send notification mails at all? I could imagine if this user is the first one that should get notified the whole process

of notification gets aborted, so other involved users get no notification mails either.

I have already commented out the line 'config.action_mailer.logger = nil' in the production.rb file to see some hints in the log.

However, I have expected another result. Now I can see some extra lines in the log: 'Sent mail to '. Should follow some mail

recipients there? I my case there are no listed. Is this normal?

Related issues:

Related to Redmine - Defect #5146: Email notification not sent for some issues Closed 2010-03-22

Related to Redmine - Defect #8157: Redmine do not send notification emails if... Closed

History

#1 - 2010-07-12 22:47 - Felix Schäfer

- Subject changed from Email notification not sent for some issues (2) to Rejection of one recipient by the SMTP server causes whole notification to be

dropped

IIRC this happens when either ActiveMailer or the SMTP server rejects the notification because of a broken or invalid mail address, the notifications

being sent as a BCC to all, it causes the whole notification to be dropped.

#2 - 2014-11-03 07:22 - Go MAEDA

- Related to Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added

#3 - 2014-11-03 07:24 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

This is discussed in #8157.
